OracleVM 3.4 : Unbreakable / etc (OVMSA-2018-0040)

High Nessus Plugin ID 109667

Synopsis

The remote OracleVM host is missing one or more security updates.

Description

The remote OracleVM system is missing necessary patches to address critical security updates :

- vhost/scsi: fix reuse of &vq->iov[out] in response (Benjamin Coddington) [Orabug: 27928330]

- kernel.spec: add requires system-release for OL7 (Brian Maly)

- x86/kernel/traps.c: fix trace_die_notifier return value (Kris Van Hees) (CVE-2018-8897)

- x86/entry/64: Don't use IST entry for #BP stack (Andy Lutomirski) (CVE-2018-8897)

- kvm/x86: fix icebp instruction handling (CVE-2018-1087)

Solution

Update the affected kernel-uek / kernel-uek-firmware packages.

See Also

https://oss.oracle.com/pipermail/oraclevm-errata/2018-May/000851.html

Plugin Details

Severity: High

ID: 109667

File Name: oraclevm_OVMSA-2018-0040.nasl

Version: 1.7

Type: local

Published: 2018/05/10

Updated: 2019/04/05

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.2

Temporal Score: 6.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSS v3.0

Base Score: 7.8

Temporal Score: 7.5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:kernel-uek, p-cpe:/a:oracle:vm:kernel-uek-firmware, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/05/09

Exploitable With

Metasploit (Microsoft Windows POP/MOV SS Local Privilege Elevation Vulnerability)

Reference Information

CVE: CVE-2018-1087, CVE-2018-8897